extends Node2D

#Pslams 7:1
#O LORD my God, in thee do I put my trust: save me from all
#them that persecute me, and deliver me:

const LEV_RES = preload("res://scripts/res/RES_LEVELS.gd")
export(String) var next_level = "game"

export(bool) var is_boss_level = false

##Change level
func _check_enemies():
#	print_debug(get_node("enemies").get_children())
	if(get_node("enemies").get_children().size() < 2):
		var L = LEV_RES.new()
		var levels = L.get_levels()
		get_tree().change_scene_to(load(levels[next_level][0]))
		get_node("/root/hud").update_health(-10)
		
##Boss fights
func _next_animation(old_anime):#The next attack of the boss
	if(has_node("boss")):
		var bosnod = get_node("boss")
		randomize()
		var num = randi() % bosnod.get_animation_list().size()
		bosnod.play(bosnod.get_animation_list()[num])
	else:
		push_error("game.gd:-NO BOSS NODE for next animation")

func _ready():
	if(is_boss_level):
		if(has_node("boss")):
			var bosnod = get_node("boss")
			bosnod.connect("animation_finished",self,"_next_animation")
			bosnod.play(bosnod.get_animation_list()[0])
	else:
		push_error("game.gd:-NO BOSS NODE Despite being declared boss level")
